Subject: Re: psql: Add verbose option (+) for \dX command

From: Matheus Alcantara <[email-masked]>
Date: Thu, 19 Feb 2026 12:52:41 -0300

On 19/02/26 12:49, Fujii Masao wrote:
>> While I was reviewing another patch I noticed that we don't have the
>> verbose option(+) on \dX command to get extended statistics comments.
>>
>> Althrought comments can be obtained using obj_description() perhaps it
>> can be useful to have a verbose option on \dX to get this information.
>>
>> Thoughts?
> 
> +1
> 
> I've already proposed a patch to add support for \dX+ :)
> Please see [1]. I'd appreciate it if you could review it.
> 
> Regards,
> 
> [1]
> https://commitfest.postgresql.org/patch/6493/
> 

Oops, sorry, I've saw this thread some days ago but I forget that \dX+ 
was also being proposed. I'll take a look.

--
Matheus Alcantara
EDB: https://www.enterprisedb.com